For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList agents
      • POSTCreate an agent
      • GETGet an agent
      • GETList agent versions for an agent
      • GETRevert to a specific agent version
      • GETList Agent Roles
      • POSTAssign Role to Agent
      • DELRemove Role from Agent
      • GETGet logs for an agent
      • GETGet an agent log
      • GETGet all agent logs in your environment
      • GETGet all executions in your environment
      • DELDelete an agent
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceAgents

Get an agent

GET
https://api.x.flatfile.com/v1/agents/:agentId
GET
/v1/agents/:agentId
$curl -G https://api.x.flatfile.com/v1/agents/us_ag_YOUR_ID \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>" \
> -d environmentId=us_env_YOUR_ID
1{
2 "data": {
3 "accountId": "us_acc_YOUR_ID",
4 "createdAt": "2023-10-30T16:59:45.735Z",
5 "environmentId": "us_env_YOUR_ID",
6 "id": "us_ag_YOUR_ID",
7 "updatedAt": "2023-10-30T16:59:45.735Z",
8 "compiler": "js",
9 "slug": "default",
10 "source": "module.exports = { routeEvent: async (...args) => { console.log(args) } }",
11 "topics": [
12 "workbook:updated"
13 ],
14 "options": {
15 "namespace": "space:blue"
16 }
17 }
18}
Was this page helpful?
Previous

List agent versions for an agent

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

agentIdstringRequired
Agent ID

Headers

X-Disable-Hooks"true"Required

Query parameters

environmentIdstringOptional
Environment ID

Response

This endpoint returns an object.
dataobject

Errors

400
Bad Request Error
404
Not Found Error